Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.usermgmt.servlets.jsp.taglib
Class ResultTagExtraInfo

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagExtraInfo
            |
            +--com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTagExtraInfo
                  |
                  +--com.bea.p13n.usermgmt.servlets.jsp.taglib.ResultTagExtraInfo

Direct Known Subclasses:
  CreateGroupExtraInfo, CreateUserExtraInfo, GetProfileExtraInfo, GetUserNamesExtraInfo, GetUserNamesForGroupExtraInfo

public class ResultTagExtraInfo
extends UserManagementTagExtraInfo

TagExtraInfo implementation that just sets a result id variable for the jsp. Also provides a convenience method to create the result VariableInfo from a TagData object.

Constructor Summary
`ResultTagExtraInfo()`

Method Summary
`javax.servlet.jsp.tagext.VariableInfo` | `createResultInfo(javax.servlet.jsp.tagext.TagData data)` Creates a result VariableInfo from a TagData object.
`javax.servlet.jsp.tagext.VariableInfo[]` | `getVariableInfo(javax.servlet.jsp.tagext.TagData data)` Returns a single VariableInfo for the result parameter

Methods inherited from class javax.servlet.jsp.tagext.TagExtraInfo
`getTagInfo, isValid, setTagInfo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResultTagExtraInfo

    public ResultTagExtraInfo()

Method Detail

### getVariableInfo

    public javax.servlet.jsp.tagext.VariableInfo[] getVariableInfo(javax.servlet.jsp.tagext.TagData data)

  Returns a single VariableInfo for the result parameter

  Overrides:
    getVariableInfo in class javax.servlet.jsp.tagext.TagExtraInfo

### createResultInfo

    public javax.servlet.jsp.tagext.VariableInfo createResultInfo(javax.servlet.jsp.tagext.TagData data)

  Creates a result VariableInfo from a TagData object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved